package fxKohtaushallinta;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author jlipi
 * @version 26.1.2025
 *
 */
public class KohtaushallintaMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("KohtaushallintaGUIView.fxml"));
            final Pane root = ldr.load();
            //final KohtaushallintaGUIController kohtaushallintaCtrl = (KohtaushallintaGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("kohtaushallinta.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Kohtaushallinta");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}